#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.2.2
%global		package_name ovirt-iso-uploader

Summary:	ISO Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-iso-uploader
Version:	3.2.2
Release:	3%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/3.2/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	gettext
Requires:	python
Requires:	rhevm-sdk >= 3.2.0.5-1
BuildRequires:	gettext-devel
BuildRequires:	python2-devel

Patch1: 0001-config-added-backward-compatibilty.patch
Patch2: 0002-upload-nfs-set-correct-umask-while-renaming.patch

%description
ISO Uploader tool for Red Hat Enterprise Virtualization

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check

make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-iso-uploader %{buildroot}/%{_bindir}/rhevm-iso-uploader
echo ".so man8/engine-iso-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-iso-uploader.8

%files
%doc AUTHORS
%doc COPYING
%config(noreplace) %{_sysconfdir}/ovirt-engine/isouploader.conf
%{python_sitelib}/ovirt_iso_uploader/*.py*
%{_bindir}/engine-iso-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-iso-uploader

%changelog
* Tue Jul 30 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.2-3
Resolves: BZ#990144 

* Tue Jun 18 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-2
Resolves:  BZ#975416

* Thu Apr 18 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-1
- 3.2.2-1

* Sun Mar 31 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-2
Resolves: BZ#886525,BZ#904719,BZ#785670

* Sun Feb 17 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-1
- Release.

* Wed Feb 06 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.2.beta
- 3.2.0-0.2.beta
